## AgsCancelAudio

AgsCancelAudio — cancel audio task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsCancelAudio * | ags_cancel_audio_new ()

## Properties

AgsAudio * | audio | Read / Write
int | sound-scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsCancelAudio

## Includes

    #include <ags/audio/task/ags_cancel_audio.h>

## Description

The AgsCancelAudio task cancels AgsAudio playback.

## Functions

### ags_cancel_audio_new ()

    AgsCancelAudio *
    ags_cancel_audio_new (AgsAudio *audio,
                          gint sound_scope);

Create a new instance of AgsCancelAudio.

#### Parameters

audio | the AgsAudio to cancel |
sound_scope | the AgsSoundScope or -1 for all |

#### Returns

the new AgsCancelAudio.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsCancelAudio

Flags: Read / Write

Since: 3.0.0

### The `“sound-scope”` property

      “sound-scope”              int

The effects sound-scope.

Owner: AgsCancelAudio

Flags: Read / Write

Allowed values: [-1,5]

Default value: -1

Since: 3.0.0